package com.td.Dawa.game.comsnbfreeze.service;

import com.td.Dawa.common.service.*;
import com.td.Dawa.game.comsnbfreeze.pojo.ComSnbFreeze;
import com.td.Dawa.game.comsnbfreeze.vo.ComSnbFreezeVo;

public interface ComSnbFreezeService extends CommonService<ComSnbFreezeVo, ComSnbFreeze, String> {
    /**
     * 获取游戏用户钱包数据
     * @param userId
     * @return
     */
    ComSnbFreezeVo findByUserId(String userId);

    ComSnbFreezeVo findById(String id);

    ComSnbFreeze AddByUserId(ComSnbFreeze comSnbFreeze);
}
